Summary:        Helper to test command-line scripts
Name:           python-scripttest
Version:        1.3.0
Release:        7%{?dist}
License:        MIT
URL:            http://pypi.python.org/pypi/ScriptTest/
Source0:        https://github.com/pypa/scripttest/archive/1.3.0.tar.gz

BuildRequires: python%{python3_pkgversion}-devel python%{python3_pkgversion}-pytest
BuildRequires: python%{python3_pkgversion}-setuptools python%{python3_pkgversion}-sphinx

BuildArch:      noarch

%description
ScriptTest is a library to help you test your interactive command-line applications.

With it you can easily run the command (in a subprocess) and see the output (stdout, stderr) and any
file modifications.

%package -n     python%{python3_pkgversion}-scripttest
Summary:        Helper to test command-line scripts

%description -n python%{python3_pkgversion}-scripttest
ScriptTest is a library to help you test your interactive command-line applications.

With it you can easily run the command (in a subprocess) and see the output (stdout, stderr) and any
file modifications.

%prep
%autosetup -n scripttest-%{version}

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python%{python3_pkgversion}-scripttest
%license docs/license.rst
%{python3_sitelib}/scripttest.py
%{python3_sitelib}/__pycache__/scripttest.cpython-%{python3_version_nodots}*
%{python3_sitelib}/scripttest*.egg-info/

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.0-7
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.0-6
- Rebuilt for loongarch release

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.0-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.0-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Feb 17 2023 Shuo Wang <abushwang@tencent.com> - 1.3.0-1
- initial build
